## org.jfree.xml.util
Class ObjectDescriptionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jfree.util.StackableException
                  org.jfree.xml.util.ObjectDescriptionException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  XmlReaderException, XMLWriterException

    public class ObjectDescriptionException

extends StackableException

An exception that indicates a problem with an object description.

See Also:
  Serialized Form

Constructor Summary
`ObjectDescriptionException()` Creates a StackableRuntimeException with no message and no parent.
`ObjectDescriptionException(java.lang.String message)` Creates an exception.
`ObjectDescriptionException(java.lang.String message, java.lang.Exception ex)` Creates an exception.

Method Summary

Methods inherited from class org.jfree.util.StackableException
`getParent, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectDescriptionException

    public ObjectDescriptionException()

  Creates a StackableRuntimeException with no message and no parent.

### ObjectDescriptionException

    public ObjectDescriptionException(java.lang.String message,
                                      java.lang.Exception ex)

  Creates an exception.

  Parameters:
    `message` - the exception message.
    `ex` - the parent exception.

### ObjectDescriptionException

    public ObjectDescriptionException(java.lang.String message)

  Creates an exception.

  Parameters:
    `message` - the exception message.